/* Module      : Camera.h
 * Author      : Peter Lohrmann
 * Email       : pjlrhino@wpi.edu
 * Course      : IMGD 3000
 *
 * Description : This is the Jaeger Camera class. It allows the camera
 *               to be reppositioned and oriented by the user.
 *
 * Date        : 2006/03/13
 *
 * History:
 * Revision      Date          Changed By
 * --------      ----------    ----------
 * 00.01         2006/03/13    gogo
 * First release.
 *
 * (c) Copyright 2006, Worcester Polytechnic Institute.
 */

#ifndef _CAMERA_H_
#define _CAMERA_H_

/* -- INCLUDE FILES ------------------------------------------------------ */

#ifdef MACOSX
  #include <glut.h>
#else
  #include <GL/glut.h>
#endif

#include <Vector3.h>

#if _MSC_VER > 1000
  #pragma once
#endif // _MSC_VER > 1000

/* -- DATA STRUCTURES ---------------------------------------------------- */

class Camera  {
  private:
    Point3 eye, interest;
    Vector3 u, v, n;
    double viewAngle, aspect, nearDist, farDist, wWidth, wHeight;
    void SetModelViewMatrix( void );

  public:
    Camera( );
    virtual ~Camera( );
    void Set( Point3 eyePt, Point3 interestPt, Vector3 upVec );
    void Roll( float angle );
    void Pitch( float angle );
    void Yaw( float angle );
    void Slide( float delU, float delV, float delN );
    void SetShape( float vAng, float asp, float nearD, float farD );
};

/* -- GLOBAL VARIABLES --------------------------------------------------- */

/* -- LOCAL VARIABLES ---------------------------------------------------- */

/* ----------------------------------------------------------------------- */

#endif
