/* Module      : JaegerConstants.h
 * Author      : Robert W. Lindeman
 * Email       : gogo@wpi.edu
 * Course      : IMGD 3000
 *
 * Description : This file contains constant declarations for Jaeger.
 *
 * Date        : 2006/02/05
 *
 * History:
 * Revision      Date          Changed By
 * --------      ----------    ----------
 * 00.01         2006/02/05    gogo
 * First release.
 *
 * (c) Copyright 2006, Worcester Polytechnic Institute.
 */

#ifndef _JAEGER_CONSTANTS_H_
#define _JAEGER_CONSTANTS_H_

/* -- INCLUDE FILES ------------------------------------------------------ */

/* -- DATA STRUCTURES ---------------------------------------------------- */

/* -- GLOBAL VARIABLES --------------------------------------------------- */

// Indeces for the position arrays.
const int Xidx = 0;
const int Yidx = 1;
const int Zidx = 2;
const int Widx = 3;

// Legal orientations.
const int ORI_NORTH = 0;
const int ORI_EAST  = 1;
const int ORI_SOUTH = 2;
const int ORI_WEST  = 3;

// Legal cell types.
const int CELL_NONE          =  -1;
const int CELL_CROSS         =   0;
const int CELL_VERT          =   1;
const int CELL_HORIZ         =   2;
const int CELL_SOUTH_WEST    =   3;
const int CELL_SOUTH_EAST    =   4;
const int CELL_NORTH_WEST    =   5;
const int CELL_NORTH_EAST    =   6;
const int CELL_NORTH_TEE     =   7;
const int CELL_EAST_TEE      =   8;
const int CELL_SOUTH_TEE     =   9;
const int CELL_WEST_TEE      =  10;
const int CELL_NORTH_DEADEND =  11;
const int CELL_EAST_DEADEND  =  12;
const int CELL_SOUTH_DEADEND =  13;
const int CELL_WEST_DEADEND  =  14;

/* -- LOCAL VARIABLES ---------------------------------------------------- */

/* ----------------------------------------------------------------------- */

#endif
