/* Module      : JaegerGlobals.h
 * Author      : Robert W. Lindeman
 * Email       : gogo@wpi.edu
 * Course      : IMGD 3000
 *
 * Description : This file contains external declarations for global variables.
 *
 * Date        : 2006/02/05
 *
 * History:
 * Revision      Date          Changed By
 * --------      ----------    ----------
 * 00.01         2006/02/05    gogo
 * First release.
 *
 * (c) Copyright 2006, Worcester Polytechnic Institute.
 */

#ifndef _JAEGER_GLOBALS_H_
#define _JAEGER_GLOBALS_H_

/* -- INCLUDE FILES ------------------------------------------------------ */

#include <stdio.h>
#include <JaegerCell.h>
#include <JaegerPlayer.h>
#include <JaegerMaze.h>
#include <Camera.h>

/* -- DATA STRUCTURES ---------------------------------------------------- */

/* -- GLOBAL VARIABLES --------------------------------------------------- */

// Debug stuff.
extern bool JaegerGodMode; // Draw in the third person.

// A handle to the camera object.
extern Camera Cam;

// Screen dimensions.
extern int ScreenWidth;
extern int ScreenHeight;

// Viewing parameters.
extern float NearClip;    // Near clipping plane.
extern float FarClip;     // Far clipping plane.
extern float ViewAngle;   // Viewing angle.
extern float AspectRatio; // Aspect ration of the window.
extern Point3 EyePt;      // Initial position of camera.
extern Point3 InterestPt; // Initial point of interest.
extern Vector3 UpVec;     // Initial "up" vector of camera.

// Window title.
extern char *WindowTitle;

// The game maze.
extern Maze *GertMaze;

// The player.
extern Player *Hedi;

// Game State Variables.
extern Cell *CurCell;

// Cell attributes (units are in cm).
extern float CellSide;
extern float CellHeight;
extern float WallThickness;


/* -- LOCAL VARIABLES ---------------------------------------------------- */

/* ----------------------------------------------------------------------- */

#endif
