/* Module      : JaegerPlayer.h
 * Author      : Robert W. Lindeman
 * Email       : gogo@wpi.edu
 * Course      : IMGD 3000
 *
 * Description : This is header for the Player class.
 *
 * Date        : 2006/02/05
 *
 * History:
 * Revision      Date          Changed By
 * --------      ----------    ----------
 * 00.01         2006/02/05    gogo
 * First release.
 *
 * (c) Copyright 2006, Worcester Polytechnic Institute.
 */

#ifndef _JAEGER_PLAYER_H_
#define _JAEGER_PLAYER_H_

/* -- INCLUDE FILES ------------------------------------------------------ */

#include <JaegerConstants.h>

/* -- DATA STRUCTURES ---------------------------------------------------- */

class Player  {
  private:
  public:
    int             pos[2]; // X,Y location of player's cell.
    int             ori;    // Dir. we are facing (see JaegerConstants.h).

    Player::Player( int x, int y )  {
      pos[Xidx] = x;
      pos[Yidx] = y;
      ori = ORI_NORTH;
    };
    Player::Player( void )  {
      pos[Xidx] = pos[Yidx] = 0;
      ori = ORI_NORTH;
    };
};

/* -- GLOBAL VARIABLES --------------------------------------------------- */

/* -- LOCAL VARIABLES ---------------------------------------------------- */

/* ----------------------------------------------------------------------- */

#endif
